<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'moblyze',

    /*
     * Package.
     */
    'package'   => 'logbook',

    /*
     * Modules.
     */
    'modules'   => ['passenger_manifest', 
'logbook_master', 
'asset_logbook', 
'safety_briefing', 
'vessel_logbook', 
'vessel_running_sheet', 
'iame_detail', 
'emergency_drill'],

    'passenger_manifest'       => [
        'model' => [
            'model'                 => \Moblyze\Logbook\Models\PassengerManifest::class,
            'table'                 => 'passenger_manifests',
            'presenter'             => \Moblyze\Logbook\Repositories\Presenter\PassengerManifestPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'passenger_id',  'user_id',  'asset_id',  'float_plan_id',  'profile',  'special_needs',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'logbook/passenger_manifest',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Moblyze',
            'package'   => 'Logbook',
            'module'    => 'PassengerManifest',
        ],

    ],

    'logbook_master'       => [
        'model' => [
            'model'                 => \Moblyze\Logbook\Models\LogbookMaster::class,
            'table'                 => 'logbook_masters',
            'presenter'             => \Moblyze\Logbook\Repositories\Presenter\LogbookMasterPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'logbook/logbook_master',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Moblyze',
            'package'   => 'Logbook',
            'module'    => 'LogbookMaster',
        ],

    ],

    'asset_logbook'       => [
        'model' => [
            'model'                 => \Moblyze\Logbook\Models\AssetLogbook::class,
            'table'                 => 'asset_logbooks',
            'presenter'             => \Moblyze\Logbook\Repositories\Presenter\AssetLogbookPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'asset_id',  'logbook_master_id',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'logbook/asset_logbook',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Moblyze',
            'package'   => 'Logbook',
            'module'    => 'AssetLogbook',
        ],

    ],

    'safety_briefing'       => [
        'model' => [
            'model'                 => \Moblyze\Logbook\Models\SafetyBriefing::class,
            'table'                 => 'safety_briefings',
            'presenter'             => \Moblyze\Logbook\Repositories\Presenter\SafetyBriefingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'asset_logbook_id',  'completed',  'float_plan_id',  'user_id',  'user_type',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'logbook/safety_briefing',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Moblyze',
            'package'   => 'Logbook',
            'module'    => 'SafetyBriefing',
        ],

    ],

    'vessel_logbook'       => [
        'model' => [
            'model'                 => \Moblyze\Logbook\Models\VesselLogbook::class,
            'table'                 => 'vessel_logbooks',
            'presenter'             => \Moblyze\Logbook\Repositories\Presenter\VesselLogbookPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'float_plan_id',  'asset_id',  'total_no',  'special_needs',  'comments',  'master_compliment',  'engineer_compliment',  'gph_compliment',  'dh_compliment',  'engineer_satisfactory',  'engineer_master_comment',  'general_satisfactory',  'general_master_comment',  'deckhand_satisfactory',  'deckhand_master_comment',  'wheather_sea_state',  'master_name',  'master_signature',  'master_date',  'om_time',  'user_id',  'user_type',  'om_date',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'logbook/vessel_logbook',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Moblyze',
            'package'   => 'Logbook',
            'module'    => 'VesselLogbook',
        ],

    ],

    'vessel_running_sheet'       => [
        'model' => [
            'model'                 => \Moblyze\Logbook\Models\VesselRunningSheet::class,
            'table'                 => 'vessel_running_sheets',
            'presenter'             => \Moblyze\Logbook\Repositories\Presenter\VesselRunningSheetPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'float_plan_id',  'date_time',  'event_entry',  'comment',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'logbook/vessel_running_sheet',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Moblyze',
            'package'   => 'Logbook',
            'module'    => 'VesselRunningSheet',
        ],

    ],

    'iame_detail'       => [
        'model' => [
            'model'                 => \Moblyze\Logbook\Models\IameDetail::class,
            'table'                 => 'iame_details',
            'presenter'             => \Moblyze\Logbook\Repositories\Presenter\IameDetailPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'float_plan_id',  'radio_communication_message_sent_time',  'radio_communication_message_received_time',  'radio_communication_message_sent_details',  'radio_communication_message_received_details',  'incidents_medical_time',  'incidents_other_time',  'incidents_medical_details',  'incidents_other_details',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'logbook/iame_detail',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Moblyze',
            'package'   => 'Logbook',
            'module'    => 'IameDetail',
        ],

    ],

    'emergency_drill'       => [
        'model' => [
            'model'                 => \Moblyze\Logbook\Models\EmergencyDrill::class,
            'table'                 => 'emergency_drills',
            'presenter'             => \Moblyze\Logbook\Repositories\Presenter\EmergencyDrillPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'float_plan_id',  'drill_type',  'comments',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'logbook/emergency_drill',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Moblyze',
            'package'   => 'Logbook',
            'module'    => 'EmergencyDrill',
        ],

    ],
];
