<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateIameDetailsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: iame_details
         */
        Schema::create('iame_details', function ($table) {
            $table->increments('id');
            $table->integer('float_plan_id')->nullable();
            $table->time('radio_communication_message_sent_time')->nullable();
            $table->time('radio_communication_message_received_time')->nullable();
            $table->text('radio_communication_message_sent_details')->nullable();
            $table->text('radio_communication_message_received_details')->nullable();
            $table->time('incidents_medical_time')->nullable();
            $table->time('incidents_other_time')->nullable();
            $table->text('incidents_medical_details')->nullable();
            $table->text('incidents_other_details')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('iame_details');
    }
}
