<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePassengerManifestsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: passenger_manifests
         */
        Schema::create('passenger_manifests', function ($table) {
            $table->increments('id');
            $table->integer('passenger_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('asset_id')->nullable();
            $table->integer('float_plan_id')->nullable();
            $table->enum('profile', ['Child','Adult'])->nullable();
            $table->enum('special_needs', ['Child','Disability'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('passenger_manifests');
    }
}
