<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateSafetyBriefingsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: safety_briefings
         */
        Schema::create('safety_briefings', function ($table) {
            $table->increments('id');
            $table->integer('asset_logbook_id')->nullable();
            $table->enum('completed', ['Yes','NULL'])->nullable();
            $table->integer('float_plan_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('safety_briefings');
    }
}
