<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateVesselLogbooksTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: vessel_logbooks
         */
        Schema::create('vessel_logbooks', function ($table) {
            $table->increments('id');
            $table->integer('float_plan_id')->nullable();
            $table->integer('asset_id')->nullable();
            $table->integer('total_no')->nullable();
            $table->string('special_needs', 255)->nullable();
            $table->text('comments')->nullable();
            $table->string('master_compliment', 255)->nullable();
            $table->string('engineer_compliment', 255)->nullable();
            $table->string('gph_compliment', 255)->nullable();
            $table->string('dh_compliment', 255)->nullable();
            $table->enum('engineer_satisfactory', ['Yes','No'])->nullable();
            $table->text('engineer_master_comment')->nullable();
            $table->enum('general_satisfactory', ['Yes','No'])->nullable();
            $table->text('general_master_comment')->nullable();
            $table->enum('deckhand_satisfactory', ['Yes','No'])->nullable();
            $table->text('deckhand_master_comment')->nullable();
            $table->text('wheather_sea_state')->nullable();
            $table->string('master_name', 255)->nullable();
            $table->string('master_signature', 255)->nullable();
            $table->timestamp('master_date')->nullable();
            $table->string('om_time', 255)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 255)->nullable();
            $table->timestamp('om_date')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('vessel_logbooks');
    }
}
