Lavalite package that provides logbook management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `moblyze/logbook`.

    "moblyze/logbook": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Moblyze\Logbook\Providers\LogbookServiceProvider::class,

And also add it to alias

    'Logbook'  => Moblyze\Logbook\Facades\Logbook::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Moblyze\\LogbookTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Moblyze\Logbook\Providers\LogbookServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Moblyze\Logbook\Providers\LogbookServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Moblyze\Logbook\Providers\LogbookServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/logbook/{modulename}

**User**

    http://path-to-route-folder/user/logbook/{modulename}

**Public**

    http://path-to-route-folder/logbooks


### API endpoints

**List**

    http://path-to-route-folder/api/user/logbook/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/logbook/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/logbook/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/logbook/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/logbook/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/logbook/{modulename}/{slug}
    METHOD: GET