<?php

// API routes  for passenger_manifest
Route::prefix('{guard}/logbook')->group(function () {
    Route::get('passenger_manifest/form/{element}', 'PassengerManifestAPIController@form');
    Route::resource('passenger_manifest', 'PassengerManifestAPIController');
});

// Public routes for passenger_manifest
Route::get('logbooks/', 'PassengerManifestPublicController@index');
Route::get('logbooks/{slug?}', 'PassengerManifestPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for logbooks
            Route::prefix('{guard}/logbook')->group(function () {
                Route::get('passenger_manifest/form/{element}', 'PassengerManifestAPIController@form');
                Route::apiResource('passenger_manifest', 'PassengerManifestAPIController');
            });
            // Public routes for logbooks
            Route::get('logbook/PassengerManifest', 'PassengerManifestPublicController@getPassengerManifest');
        }
    );
}


// API routes  for logbook_master
Route::prefix('{guard}/logbook')->group(function () {
    Route::get('logbook_master/form/{element}', 'LogbookMasterAPIController@form');
    Route::resource('logbook_master', 'LogbookMasterAPIController');
});

// Public routes for logbook_master
Route::get('logbooks/', 'LogbookMasterPublicController@index');
Route::get('logbooks/{slug?}', 'LogbookMasterPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for logbooks
            Route::prefix('{guard}/logbook')->group(function () {
                Route::get('logbook_master/form/{element}', 'LogbookMasterAPIController@form');
                Route::apiResource('logbook_master', 'LogbookMasterAPIController');
            });
            // Public routes for logbooks
            Route::get('logbook/LogbookMaster', 'LogbookMasterPublicController@getLogbookMaster');
        }
    );
}


// API routes  for asset_logbook
Route::prefix('{guard}/logbook')->group(function () {
    Route::get('asset_logbook/form/{element}', 'AssetLogbookAPIController@form');
    Route::resource('asset_logbook', 'AssetLogbookAPIController');
});

// Public routes for asset_logbook
Route::get('logbooks/', 'AssetLogbookPublicController@index');
Route::get('logbooks/{slug?}', 'AssetLogbookPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for logbooks
            Route::prefix('{guard}/logbook')->group(function () {
                Route::get('asset_logbook/form/{element}', 'AssetLogbookAPIController@form');
                Route::apiResource('asset_logbook', 'AssetLogbookAPIController');
            });
            // Public routes for logbooks
            Route::get('logbook/AssetLogbook', 'AssetLogbookPublicController@getAssetLogbook');
        }
    );
}


// API routes  for safety_briefing
Route::prefix('{guard}/logbook')->group(function () {
    Route::get('safety_briefing/form/{element}', 'SafetyBriefingAPIController@form');
    Route::resource('safety_briefing', 'SafetyBriefingAPIController');
});

// Public routes for safety_briefing
Route::get('logbooks/', 'SafetyBriefingPublicController@index');
Route::get('logbooks/{slug?}', 'SafetyBriefingPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for logbooks
            Route::prefix('{guard}/logbook')->group(function () {
                Route::get('safety_briefing/form/{element}', 'SafetyBriefingAPIController@form');
                Route::apiResource('safety_briefing', 'SafetyBriefingAPIController');
            });
            // Public routes for logbooks
            Route::get('logbook/SafetyBriefing', 'SafetyBriefingPublicController@getSafetyBriefing');
        }
    );
}


// API routes  for vessel_logbook
Route::prefix('{guard}/logbook')->group(function () {
    Route::get('vessel_logbook/form/{element}', 'VesselLogbookAPIController@form');
    Route::resource('vessel_logbook', 'VesselLogbookAPIController');
});

// Public routes for vessel_logbook
Route::get('logbooks/', 'VesselLogbookPublicController@index');
Route::get('logbooks/{slug?}', 'VesselLogbookPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for logbooks
            Route::prefix('{guard}/logbook')->group(function () {
                Route::get('vessel_logbook/form/{element}', 'VesselLogbookAPIController@form');
                Route::apiResource('vessel_logbook', 'VesselLogbookAPIController');
            });
            // Public routes for logbooks
            Route::get('logbook/VesselLogbook', 'VesselLogbookPublicController@getVesselLogbook');
        }
    );
}


// API routes  for vessel_running_sheet
Route::prefix('{guard}/logbook')->group(function () {
    Route::get('vessel_running_sheet/form/{element}', 'VesselRunningSheetAPIController@form');
    Route::resource('vessel_running_sheet', 'VesselRunningSheetAPIController');
});

// Public routes for vessel_running_sheet
Route::get('logbooks/', 'VesselRunningSheetPublicController@index');
Route::get('logbooks/{slug?}', 'VesselRunningSheetPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for logbooks
            Route::prefix('{guard}/logbook')->group(function () {
                Route::get('vessel_running_sheet/form/{element}', 'VesselRunningSheetAPIController@form');
                Route::apiResource('vessel_running_sheet', 'VesselRunningSheetAPIController');
            });
            // Public routes for logbooks
            Route::get('logbook/VesselRunningSheet', 'VesselRunningSheetPublicController@getVesselRunningSheet');
        }
    );
}


// API routes  for iame_detail
Route::prefix('{guard}/logbook')->group(function () {
    Route::get('iame_detail/form/{element}', 'IameDetailAPIController@form');
    Route::resource('iame_detail', 'IameDetailAPIController');
});

// Public routes for iame_detail
Route::get('logbooks/', 'IameDetailPublicController@index');
Route::get('logbooks/{slug?}', 'IameDetailPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for logbooks
            Route::prefix('{guard}/logbook')->group(function () {
                Route::get('iame_detail/form/{element}', 'IameDetailAPIController@form');
                Route::apiResource('iame_detail', 'IameDetailAPIController');
            });
            // Public routes for logbooks
            Route::get('logbook/IameDetail', 'IameDetailPublicController@getIameDetail');
        }
    );
}


// API routes  for emergency_drill
Route::prefix('{guard}/logbook')->group(function () {
    Route::get('emergency_drill/form/{element}', 'EmergencyDrillAPIController@form');
    Route::resource('emergency_drill', 'EmergencyDrillAPIController');
});

// Public routes for emergency_drill
Route::get('logbooks/', 'EmergencyDrillPublicController@index');
Route::get('logbooks/{slug?}', 'EmergencyDrillPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for logbooks
            Route::prefix('{guard}/logbook')->group(function () {
                Route::get('emergency_drill/form/{element}', 'EmergencyDrillAPIController@form');
                Route::apiResource('emergency_drill', 'EmergencyDrillAPIController');
            });
            // Public routes for logbooks
            Route::get('logbook/EmergencyDrill', 'EmergencyDrillPublicController@getEmergencyDrill');
        }
    );
}

