<?php

// web routes  for passenger_manifest
Route::prefix('{guard}/logbook')->group(function () {
    Route::resource('passenger_manifest', 'PassengerManifestResourceController');
});

// Public routes for passenger_manifest
Route::get('logbooks/', 'PassengerManifestPublicController@index');
Route::get('logbooks/{slug?}', 'PassengerManifestPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'PassengerManifestResourceController');
            });
            // Public routes for pages
            Route::get('logbooks/', 'PassengerManifestPublicController@index');
            Route::get('logbooks/{slug?}', 'PassengerManifestPublicController@show');
        }
    );
}


// web routes  for logbook_master
Route::prefix('{guard}/logbook')->group(function () {
    Route::resource('logbook_master', 'LogbookMasterResourceController');
});

// Public routes for logbook_master
Route::get('logbooks/', 'LogbookMasterPublicController@index');
Route::get('logbooks/{slug?}', 'LogbookMasterPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'LogbookMasterResourceController');
            });
            // Public routes for pages
            Route::get('logbooks/', 'LogbookMasterPublicController@index');
            Route::get('logbooks/{slug?}', 'LogbookMasterPublicController@show');
        }
    );
}


// web routes  for asset_logbook
Route::prefix('{guard}/logbook')->group(function () {
    Route::resource('asset_logbook', 'AssetLogbookResourceController');
});

// Public routes for asset_logbook
Route::get('logbooks/', 'AssetLogbookPublicController@index');
Route::get('logbooks/{slug?}', 'AssetLogbookPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'AssetLogbookResourceController');
            });
            // Public routes for pages
            Route::get('logbooks/', 'AssetLogbookPublicController@index');
            Route::get('logbooks/{slug?}', 'AssetLogbookPublicController@show');
        }
    );
}


// web routes  for safety_briefing
Route::prefix('{guard}/logbook')->group(function () {
    Route::resource('safety_briefing', 'SafetyBriefingResourceController');
});

// Public routes for safety_briefing
Route::get('logbooks/', 'SafetyBriefingPublicController@index');
Route::get('logbooks/{slug?}', 'SafetyBriefingPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'SafetyBriefingResourceController');
            });
            // Public routes for pages
            Route::get('logbooks/', 'SafetyBriefingPublicController@index');
            Route::get('logbooks/{slug?}', 'SafetyBriefingPublicController@show');
        }
    );
}


// web routes  for vessel_logbook
Route::prefix('{guard}/logbook')->group(function () {
    Route::resource('vessel_logbook', 'VesselLogbookResourceController');
});

// Public routes for vessel_logbook
Route::get('logbooks/', 'VesselLogbookPublicController@index');
Route::get('logbooks/{slug?}', 'VesselLogbookPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'VesselLogbookResourceController');
            });
            // Public routes for pages
            Route::get('logbooks/', 'VesselLogbookPublicController@index');
            Route::get('logbooks/{slug?}', 'VesselLogbookPublicController@show');
        }
    );
}


// web routes  for vessel_running_sheet
Route::prefix('{guard}/logbook')->group(function () {
    Route::resource('vessel_running_sheet', 'VesselRunningSheetResourceController');
});

// Public routes for vessel_running_sheet
Route::get('logbooks/', 'VesselRunningSheetPublicController@index');
Route::get('logbooks/{slug?}', 'VesselRunningSheetPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'VesselRunningSheetResourceController');
            });
            // Public routes for pages
            Route::get('logbooks/', 'VesselRunningSheetPublicController@index');
            Route::get('logbooks/{slug?}', 'VesselRunningSheetPublicController@show');
        }
    );
}


// web routes  for iame_detail
Route::prefix('{guard}/logbook')->group(function () {
    Route::resource('iame_detail', 'IameDetailResourceController');
});

// Public routes for iame_detail
Route::get('logbooks/', 'IameDetailPublicController@index');
Route::get('logbooks/{slug?}', 'IameDetailPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'IameDetailResourceController');
            });
            // Public routes for pages
            Route::get('logbooks/', 'IameDetailPublicController@index');
            Route::get('logbooks/{slug?}', 'IameDetailPublicController@show');
        }
    );
}


// web routes  for emergency_drill
Route::prefix('{guard}/logbook')->group(function () {
    Route::resource('emergency_drill', 'EmergencyDrillResourceController');
});

// Public routes for emergency_drill
Route::get('logbooks/', 'EmergencyDrillPublicController@index');
Route::get('logbooks/{slug?}', 'EmergencyDrillPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'EmergencyDrillResourceController');
            });
            // Public routes for pages
            Route::get('logbooks/', 'EmergencyDrillPublicController@index');
            Route::get('logbooks/{slug?}', 'EmergencyDrillPublicController@show');
        }
    );
}

