<?php

namespace Moblyze\Logbook\Forms;

class PassengerManifest
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'passenger_id' => [
                    "type" => 'numeric',
                    "label" => trans('logbook::passenger_manifest.label.passenger_id'),
                    "placeholder" => trans('logbook::passenger_manifest.placeholder.passenger_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'asset_id' => [
                    "type" => 'numeric',
                    "label" => trans('logbook::passenger_manifest.label.asset_id'),
                    "placeholder" => trans('logbook::passenger_manifest.placeholder.asset_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'float_plan_id' => [
                    "type" => 'numeric',
                    "label" => trans('logbook::passenger_manifest.label.float_plan_id'),
                    "placeholder" => trans('logbook::passenger_manifest.placeholder.float_plan_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'profile' => [
                    "type" => 'radios',
                    "label" => trans('logbook::passenger_manifest.label.profile'),
                    "placeholder" => trans('logbook::passenger_manifest.placeholder.profile'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'special_needs' => [
                    "type" => 'radios',
                    "label" => trans('logbook::passenger_manifest.label.special_needs'),
                    "placeholder" => trans('logbook::passenger_manifest.placeholder.special_needs'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
