<?php

namespace Moblyze\Logbook\Forms;

class VesselLogbook
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'float_plan_id' => [
                    "type" => 'numeric',
                    "label" => trans('logbook::vessel_logbook.label.float_plan_id'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.float_plan_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'asset_id' => [
                    "type" => 'numeric',
                    "label" => trans('logbook::vessel_logbook.label.asset_id'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.asset_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'total_no' => [
                    "type" => 'numeric',
                    "label" => trans('logbook::vessel_logbook.label.total_no'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.total_no'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'special_needs' => [
                    "type" => 'text',
                    "label" => trans('logbook::vessel_logbook.label.special_needs'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.special_needs'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'comments' => [
                    "type" => 'text',
                    "label" => trans('logbook::vessel_logbook.label.comments'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.comments'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'master_compliment' => [
                    "type" => 'text',
                    "label" => trans('logbook::vessel_logbook.label.master_compliment'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.master_compliment'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'engineer_compliment' => [
                    "type" => 'text',
                    "label" => trans('logbook::vessel_logbook.label.engineer_compliment'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.engineer_compliment'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'gph_compliment' => [
                    "type" => 'text',
                    "label" => trans('logbook::vessel_logbook.label.gph_compliment'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.gph_compliment'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'dh_compliment' => [
                    "type" => 'text',
                    "label" => trans('logbook::vessel_logbook.label.dh_compliment'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.dh_compliment'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'engineer_satisfactory' => [
                    "type" => 'radios',
                    "label" => trans('logbook::vessel_logbook.label.engineer_satisfactory'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.engineer_satisfactory'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'engineer_master_comment' => [
                    "type" => 'text',
                    "label" => trans('logbook::vessel_logbook.label.engineer_master_comment'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.engineer_master_comment'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'general_satisfactory' => [
                    "type" => 'radios',
                    "label" => trans('logbook::vessel_logbook.label.general_satisfactory'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.general_satisfactory'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'general_master_comment' => [
                    "type" => 'text',
                    "label" => trans('logbook::vessel_logbook.label.general_master_comment'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.general_master_comment'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'deckhand_satisfactory' => [
                    "type" => 'radios',
                    "label" => trans('logbook::vessel_logbook.label.deckhand_satisfactory'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.deckhand_satisfactory'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'deckhand_master_comment' => [
                    "type" => 'text',
                    "label" => trans('logbook::vessel_logbook.label.deckhand_master_comment'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.deckhand_master_comment'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'wheather_sea_state' => [
                    "type" => 'text',
                    "label" => trans('logbook::vessel_logbook.label.wheather_sea_state'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.wheather_sea_state'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'master_name' => [
                    "type" => 'text',
                    "label" => trans('logbook::vessel_logbook.label.master_name'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.master_name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'master_signature' => [
                    "type" => 'text',
                    "label" => trans('logbook::vessel_logbook.label.master_signature'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.master_signature'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'master_date' => [
                    "type" => 'date_time_picker',
                    "label" => trans('logbook::vessel_logbook.label.master_date'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.master_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'om_time' => [
                    "type" => 'text',
                    "label" => trans('logbook::vessel_logbook.label.om_time'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.om_time'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'om_date' => [
                    "type" => 'date_time_picker',
                    "label" => trans('logbook::vessel_logbook.label.om_date'),
                    "placeholder" => trans('logbook::vessel_logbook.placeholder.om_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
