<?php

namespace Moblyze\Logbook\Forms;

class VesselRunningSheet
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'float_plan_id' => [
                    "type" => 'numeric',
                    "label" => trans('logbook::vessel_running_sheet.label.float_plan_id'),
                    "placeholder" => trans('logbook::vessel_running_sheet.placeholder.float_plan_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'date_time' => [
                    "type" => 'date_time_picker',
                    "label" => trans('logbook::vessel_running_sheet.label.date_time'),
                    "placeholder" => trans('logbook::vessel_running_sheet.placeholder.date_time'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'event_entry' => [
                    "type" => 'text',
                    "label" => trans('logbook::vessel_running_sheet.label.event_entry'),
                    "placeholder" => trans('logbook::vessel_running_sheet.placeholder.event_entry'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'comment' => [
                    "type" => 'text',
                    "label" => trans('logbook::vessel_running_sheet.label.comment'),
                    "placeholder" => trans('logbook::vessel_running_sheet.placeholder.comment'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
