<?php

namespace Moblyze\Logbook;

use User;

class Logbook
{
    /**
     * $passenger_manifest object.
     */
    protected $passenger_manifest;
    /**
     * $logbook_master object.
     */
    protected $logbook_master;
    /**
     * $asset_logbook object.
     */
    protected $asset_logbook;
    /**
     * $safety_briefing object.
     */
    protected $safety_briefing;
    /**
     * $vessel_logbook object.
     */
    protected $vessel_logbook;
    /**
     * $vessel_running_sheet object.
     */
    protected $vessel_running_sheet;
    /**
     * $iame_detail object.
     */
    protected $iame_detail;
    /**
     * $emergency_drill object.
     */
    protected $emergency_drill;

    /**
     * Constructor.
     */
    public function __construct(\Moblyze\Logbook\Interfaces\PassengerManifestRepositoryInterface $passenger_manifest,
        \Moblyze\Logbook\Interfaces\LogbookMasterRepositoryInterface $logbook_master,
        \Moblyze\Logbook\Interfaces\AssetLogbookRepositoryInterface $asset_logbook,
        \Moblyze\Logbook\Interfaces\SafetyBriefingRepositoryInterface $safety_briefing,
        \Moblyze\Logbook\Interfaces\VesselLogbookRepositoryInterface $vessel_logbook,
        \Moblyze\Logbook\Interfaces\VesselRunningSheetRepositoryInterface $vessel_running_sheet,
        \Moblyze\Logbook\Interfaces\IameDetailRepositoryInterface $iame_detail,
        \Moblyze\Logbook\Interfaces\EmergencyDrillRepositoryInterface $emergency_drill)
    {
        $this->passenger_manifest = $passenger_manifest;
        $this->logbook_master = $logbook_master;
        $this->asset_logbook = $asset_logbook;
        $this->safety_briefing = $safety_briefing;
        $this->vessel_logbook = $vessel_logbook;
        $this->vessel_running_sheet = $vessel_running_sheet;
        $this->iame_detail = $iame_detail;
        $this->emergency_drill = $emergency_drill;
    }

    /**
     * Returns count of logbook.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.passenger_manifest.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->passenger_manifest->pushCriteria(new \Litepie\Moblyze\Repositories\Criteria\PassengerManifestUserCriteria());
        }

        $passenger_manifest = $this->passenger_manifest->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('logbook::' . $view, compact('passenger_manifest'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.logbook_master.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->logbook_master->pushCriteria(new \Litepie\Moblyze\Repositories\Criteria\LogbookMasterUserCriteria());
        }

        $logbook_master = $this->logbook_master->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('logbook::' . $view, compact('logbook_master'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.asset_logbook.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->asset_logbook->pushCriteria(new \Litepie\Moblyze\Repositories\Criteria\AssetLogbookUserCriteria());
        }

        $asset_logbook = $this->asset_logbook->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('logbook::' . $view, compact('asset_logbook'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.safety_briefing.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->safety_briefing->pushCriteria(new \Litepie\Moblyze\Repositories\Criteria\SafetyBriefingUserCriteria());
        }

        $safety_briefing = $this->safety_briefing->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('logbook::' . $view, compact('safety_briefing'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.vessel_logbook.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->vessel_logbook->pushCriteria(new \Litepie\Moblyze\Repositories\Criteria\VesselLogbookUserCriteria());
        }

        $vessel_logbook = $this->vessel_logbook->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('logbook::' . $view, compact('vessel_logbook'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.vessel_running_sheet.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->vessel_running_sheet->pushCriteria(new \Litepie\Moblyze\Repositories\Criteria\VesselRunningSheetUserCriteria());
        }

        $vessel_running_sheet = $this->vessel_running_sheet->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('logbook::' . $view, compact('vessel_running_sheet'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.iame_detail.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->iame_detail->pushCriteria(new \Litepie\Moblyze\Repositories\Criteria\IameDetailUserCriteria());
        }

        $iame_detail = $this->iame_detail->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('logbook::' . $view, compact('iame_detail'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.emergency_drill.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->emergency_drill->pushCriteria(new \Litepie\Moblyze\Repositories\Criteria\EmergencyDrillUserCriteria());
        }

        $emergency_drill = $this->emergency_drill->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('logbook::' . $view, compact('emergency_drill'))->render();
    }
}
