<?php

namespace Moblyze\Logbook\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind PassengerManifest policy
        'Moblyze\Logbook\Models\PassengerManifest' => \Moblyze\Logbook\Policies\PassengerManifestPolicy::class,
// Bind LogbookMaster policy
        'Moblyze\Logbook\Models\LogbookMaster' => \Moblyze\Logbook\Policies\LogbookMasterPolicy::class,
// Bind AssetLogbook policy
        'Moblyze\Logbook\Models\AssetLogbook' => \Moblyze\Logbook\Policies\AssetLogbookPolicy::class,
// Bind SafetyBriefing policy
        'Moblyze\Logbook\Models\SafetyBriefing' => \Moblyze\Logbook\Policies\SafetyBriefingPolicy::class,
// Bind VesselLogbook policy
        'Moblyze\Logbook\Models\VesselLogbook' => \Moblyze\Logbook\Policies\VesselLogbookPolicy::class,
// Bind VesselRunningSheet policy
        'Moblyze\Logbook\Models\VesselRunningSheet' => \Moblyze\Logbook\Policies\VesselRunningSheetPolicy::class,
// Bind IameDetail policy
        'Moblyze\Logbook\Models\IameDetail' => \Moblyze\Logbook\Policies\IameDetailPolicy::class,
// Bind EmergencyDrill policy
        'Moblyze\Logbook\Models\EmergencyDrill' => \Moblyze\Logbook\Policies\EmergencyDrillPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
