<?php

namespace Moblyze\Logbook\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AssetLogbookTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Logbook\Models\AssetLogbook $asset_logbook)
    {
        return [
            'id'                => $asset_logbook->getRouteKey(),
            'key'               => [
                'public'    => $asset_logbook->getPublicKey(),
                'route'     => $asset_logbook->getRouteKey(),
            ], 
            'asset_id'          => $asset_logbook->asset_id,
            'logbook_master_id' => $asset_logbook->logbook_master_id,
            'user_id'           => $asset_logbook->user_id,
            'user_type'         => $asset_logbook->user_type,
            'deleted_at'        => $asset_logbook->deleted_at,
            'url'               => [
                'public'    => trans_url('logbook/'.$asset_logbook->getPublicKey()),
                'user'      => guard_url('logbook/asset_logbook/'.$asset_logbook->getRouteKey()),
            ], 
            'status'            => trans('app.'.$asset_logbook->status),
            'created_at'        => format_date($asset_logbook->created_at),
            'updated_at'        => format_date($asset_logbook->updated_at),
        ];
    }
}