<?php

namespace Moblyze\Logbook\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EmergencyDrillTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Logbook\Models\EmergencyDrill $emergency_drill)
    {
        return [
            'id'                => $emergency_drill->getRouteKey(),
            'key'               => [
                'public'    => $emergency_drill->getPublicKey(),
                'route'     => $emergency_drill->getRouteKey(),
            ], 
            'float_plan_id'     => $emergency_drill->float_plan_id,
            'drill_type'        => $emergency_drill->drill_type,
            'comments'          => $emergency_drill->comments,
            'user_id'           => $emergency_drill->user_id,
            'user_type'         => $emergency_drill->user_type,
            'deleted_at'        => $emergency_drill->deleted_at,
            'url'               => [
                'public'    => trans_url('logbook/'.$emergency_drill->getPublicKey()),
                'user'      => guard_url('logbook/emergency_drill/'.$emergency_drill->getRouteKey()),
            ], 
            'status'            => trans('app.'.$emergency_drill->status),
            'created_at'        => format_date($emergency_drill->created_at),
            'updated_at'        => format_date($emergency_drill->updated_at),
        ];
    }
}