<?php

namespace Moblyze\Logbook\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class IameDetailTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Logbook\Models\IameDetail $iame_detail)
    {
        return [
            'id'                => $iame_detail->getRouteKey(),
            'key'               => [
                'public'    => $iame_detail->getPublicKey(),
                'route'     => $iame_detail->getRouteKey(),
            ], 
            'float_plan_id'     => $iame_detail->float_plan_id,
            'radio_communication_message_sent_time' => $iame_detail->radio_communication_message_sent_time,
            'radio_communication_message_received_time' => $iame_detail->radio_communication_message_received_time,
            'radio_communication_message_sent_details' => $iame_detail->radio_communication_message_sent_details,
            'radio_communication_message_received_details' => $iame_detail->radio_communication_message_received_details,
            'incidents_medical_time' => $iame_detail->incidents_medical_time,
            'incidents_other_time' => $iame_detail->incidents_other_time,
            'incidents_medical_details' => $iame_detail->incidents_medical_details,
            'incidents_other_details' => $iame_detail->incidents_other_details,
            'user_id'           => $iame_detail->user_id,
            'user_type'         => $iame_detail->user_type,
            'deleted_at'        => $iame_detail->deleted_at,
            'url'               => [
                'public'    => trans_url('logbook/'.$iame_detail->getPublicKey()),
                'user'      => guard_url('logbook/iame_detail/'.$iame_detail->getRouteKey()),
            ], 
            'status'            => trans('app.'.$iame_detail->status),
            'created_at'        => format_date($iame_detail->created_at),
            'updated_at'        => format_date($iame_detail->updated_at),
        ];
    }
}