<?php

namespace Moblyze\Logbook\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LogbookMasterTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Logbook\Models\LogbookMaster $logbook_master)
    {
        return [
            'id'                => $logbook_master->getRouteKey(),
            'key'               => [
                'public'    => $logbook_master->getPublicKey(),
                'route'     => $logbook_master->getRouteKey(),
            ], 
            'name'              => $logbook_master->name,
            'user_id'           => $logbook_master->user_id,
            'user_type'         => $logbook_master->user_type,
            'deleted_at'        => $logbook_master->deleted_at,
            'url'               => [
                'public'    => trans_url('logbook/'.$logbook_master->getPublicKey()),
                'user'      => guard_url('logbook/logbook_master/'.$logbook_master->getRouteKey()),
            ], 
            'status'            => trans('app.'.$logbook_master->status),
            'created_at'        => format_date($logbook_master->created_at),
            'updated_at'        => format_date($logbook_master->updated_at),
        ];
    }
}