<?php

namespace Moblyze\Logbook\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PassengerManifestTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Logbook\Models\PassengerManifest $passenger_manifest)
    {
        return [
            'id'                => $passenger_manifest->getRouteKey(),
            'key'               => [
                'public'    => $passenger_manifest->getPublicKey(),
                'route'     => $passenger_manifest->getRouteKey(),
            ], 
            'passenger_id'      => $passenger_manifest->passenger_id,
            'user_id'           => $passenger_manifest->user_id,
            'asset_id'          => $passenger_manifest->asset_id,
            'float_plan_id'     => $passenger_manifest->float_plan_id,
            'profile'           => $passenger_manifest->profile,
            'special_needs'     => $passenger_manifest->special_needs,
            'deleted_at'        => $passenger_manifest->deleted_at,
            'url'               => [
                'public'    => trans_url('logbook/'.$passenger_manifest->getPublicKey()),
                'user'      => guard_url('logbook/passenger_manifest/'.$passenger_manifest->getRouteKey()),
            ], 
            'status'            => trans('app.'.$passenger_manifest->status),
            'created_at'        => format_date($passenger_manifest->created_at),
            'updated_at'        => format_date($passenger_manifest->updated_at),
        ];
    }
}