<?php

namespace Moblyze\Logbook\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SafetyBriefingTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Logbook\Models\SafetyBriefing $safety_briefing)
    {
        return [
            'id'                => $safety_briefing->getRouteKey(),
            'key'               => [
                'public'    => $safety_briefing->getPublicKey(),
                'route'     => $safety_briefing->getRouteKey(),
            ], 
            'asset_logbook_id'  => $safety_briefing->asset_logbook_id,
            'completed'         => $safety_briefing->completed,
            'float_plan_id'     => $safety_briefing->float_plan_id,
            'user_id'           => $safety_briefing->user_id,
            'user_type'         => $safety_briefing->user_type,
            'deleted_at'        => $safety_briefing->deleted_at,
            'url'               => [
                'public'    => trans_url('logbook/'.$safety_briefing->getPublicKey()),
                'user'      => guard_url('logbook/safety_briefing/'.$safety_briefing->getRouteKey()),
            ], 
            'status'            => trans('app.'.$safety_briefing->status),
            'created_at'        => format_date($safety_briefing->created_at),
            'updated_at'        => format_date($safety_briefing->updated_at),
        ];
    }
}