<?php

namespace Moblyze\Logbook\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VesselLogbookTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Logbook\Models\VesselLogbook $vessel_logbook)
    {
        return [
            'id'                => $vessel_logbook->getRouteKey(),
            'key'               => [
                'public'    => $vessel_logbook->getPublicKey(),
                'route'     => $vessel_logbook->getRouteKey(),
            ], 
            'float_plan_id'     => $vessel_logbook->float_plan_id,
            'asset_id'          => $vessel_logbook->asset_id,
            'total_no'          => $vessel_logbook->total_no,
            'special_needs'     => $vessel_logbook->special_needs,
            'comments'          => $vessel_logbook->comments,
            'master_compliment' => $vessel_logbook->master_compliment,
            'engineer_compliment' => $vessel_logbook->engineer_compliment,
            'gph_compliment'    => $vessel_logbook->gph_compliment,
            'dh_compliment'     => $vessel_logbook->dh_compliment,
            'engineer_satisfactory' => $vessel_logbook->engineer_satisfactory,
            'engineer_master_comment' => $vessel_logbook->engineer_master_comment,
            'general_satisfactory' => $vessel_logbook->general_satisfactory,
            'general_master_comment' => $vessel_logbook->general_master_comment,
            'deckhand_satisfactory' => $vessel_logbook->deckhand_satisfactory,
            'deckhand_master_comment' => $vessel_logbook->deckhand_master_comment,
            'wheather_sea_state' => $vessel_logbook->wheather_sea_state,
            'master_name'       => $vessel_logbook->master_name,
            'master_signature'  => $vessel_logbook->master_signature,
            'master_date'       => $vessel_logbook->master_date,
            'om_time'           => $vessel_logbook->om_time,
            'user_id'           => $vessel_logbook->user_id,
            'user_type'         => $vessel_logbook->user_type,
            'om_date'           => $vessel_logbook->om_date,
            'deleted_at'        => $vessel_logbook->deleted_at,
            'url'               => [
                'public'    => trans_url('logbook/'.$vessel_logbook->getPublicKey()),
                'user'      => guard_url('logbook/vessel_logbook/'.$vessel_logbook->getRouteKey()),
            ], 
            'status'            => trans('app.'.$vessel_logbook->status),
            'created_at'        => format_date($vessel_logbook->created_at),
            'updated_at'        => format_date($vessel_logbook->updated_at),
        ];
    }
}