<?php

namespace Moblyze\Logbook\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VesselRunningSheetTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Logbook\Models\VesselRunningSheet $vessel_running_sheet)
    {
        return [
            'id'                => $vessel_running_sheet->getRouteKey(),
            'key'               => [
                'public'    => $vessel_running_sheet->getPublicKey(),
                'route'     => $vessel_running_sheet->getRouteKey(),
            ], 
            'float_plan_id'     => $vessel_running_sheet->float_plan_id,
            'date_time'         => $vessel_running_sheet->date_time,
            'event_entry'       => $vessel_running_sheet->event_entry,
            'comment'           => $vessel_running_sheet->comment,
            'user_id'           => $vessel_running_sheet->user_id,
            'user_type'         => $vessel_running_sheet->user_type,
            'deleted_at'        => $vessel_running_sheet->deleted_at,
            'url'               => [
                'public'    => trans_url('logbook/'.$vessel_running_sheet->getPublicKey()),
                'user'      => guard_url('logbook/vessel_running_sheet/'.$vessel_running_sheet->getRouteKey()),
            ], 
            'status'            => trans('app.'.$vessel_running_sheet->status),
            'created_at'        => format_date($vessel_running_sheet->created_at),
            'updated_at'        => format_date($vessel_running_sheet->updated_at),
        ];
    }
}